Skip to content
Справочник APIConsumerBilling

Cancel a subscription (defaults to at-period-end)

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

POST
/consumer/v1/billing/subscriptions/{id}/cancel

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Subscription id

Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/consumer/v1/billing/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}